Download Selected Snapshots As ZIP
curl --request POST \
--url https://api.sixtyfour.ai/monitors/{monitor_id}/history-export \
--header 'Content-Type: application/json' \
--data '
{
"exclude": [
"2023-11-07T05:31:56Z"
],
"timestamps": [
"2023-11-07T05:31:56Z"
],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export"
payload = {
"exclude": ["2023-11-07T05:31:56Z"],
"timestamps": ["2023-11-07T05:31:56Z"],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
exclude: ['2023-11-07T05:31:56Z'],
timestamps: ['2023-11-07T05:31:56Z'],
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.sixtyfour.ai/monitors/{monitor_id}/history-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'exclude' => [
'2023-11-07T05:31:56Z'
],
'timestamps' => [
'2023-11-07T05:31:56Z'
],
'start' => '2023-11-07T05:31:56Z',
'end' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export"
payload := strings.NewReader("{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/monitors/{monitor_id}/history-export")
.header("Content-Type", "application/json")
.body("{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/monitors/{monitor_id}/history-export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"detail": "Invalid request body"
}{
"detail": "Invalid API key"
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour."
}{
"detail": "<string>"
}{
"detail": "Internal server error"
}{
"detail": "Could not verify the API key right now. Retry shortly."
}Monitors
Download Selected Snapshots As ZIP
Full CSVs in one ZIP. Omit timestamps for all snapshots in the date range.
Bounds: 5,000 snapshots, 50 MiB CSV data, 100 MiB event data, 120 seconds. An oversized request returns 413 before any ZIP is sent; select fewer dates. All timestamps use UTC; start and end are inclusive.
POST
/
monitors
/
{monitor_id}
/
history-export
Download Selected Snapshots As ZIP
curl --request POST \
--url https://api.sixtyfour.ai/monitors/{monitor_id}/history-export \
--header 'Content-Type: application/json' \
--data '
{
"exclude": [
"2023-11-07T05:31:56Z"
],
"timestamps": [
"2023-11-07T05:31:56Z"
],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export"
payload = {
"exclude": ["2023-11-07T05:31:56Z"],
"timestamps": ["2023-11-07T05:31:56Z"],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
exclude: ['2023-11-07T05:31:56Z'],
timestamps: ['2023-11-07T05:31:56Z'],
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.sixtyfour.ai/monitors/{monitor_id}/history-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'exclude' => [
'2023-11-07T05:31:56Z'
],
'timestamps' => [
'2023-11-07T05:31:56Z'
],
'start' => '2023-11-07T05:31:56Z',
'end' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export"
payload := strings.NewReader("{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/monitors/{monitor_id}/history-export")
.header("Content-Type", "application/json")
.body("{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/monitors/{monitor_id}/history-export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"detail": "Invalid request body"
}{
"detail": "Invalid API key"
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour."
}{
"detail": "<string>"
}{
"detail": "Internal server error"
}{
"detail": "Could not verify the API key right now. Retry shortly."
}Headers
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?